E-MailRelay

Namespaces | Functions
gfile_unix.cpp File Reference
`#include "gdef.h"`
`#include "gfile.h"`
`#include "gstr.h"`
`#include "gprocess.h"`
`#include "glog.h"`
`#include "gassert.h"`
`#include <vector>`
`#include <sstream>`
`#include <cerrno>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <fcntl.h>`

Go to the source code of this file.

## Namespaces
namespace | G
| Low-level classes.

## Functions
std::pair< bool, mode_t > | G::FileImp::newmode (mode_t, const std::string &)
std::pair< std::time_t, unsigned int > | G::FileImp::mtime (struct stat &statbuf) noexcept

## Function Documentation

## ◆ mtime()

std::pair< std::time_t, unsigned int > G::FileImp::mtime | ( | struct stat & | statbuf | ) |
| noexcept

Definition at line 40 of file gfile_unix.cpp.

## ◆ newmode()

std::pair< bool, mode_t > G::FileImp::newmode | ( | mode_t | mode,
|  | const std::string & | spec_in
| ) |  |

Definition at line 232 of file gfile_unix.cpp.